Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517901 - Publish VM to a template with auto placement fail on Cluster not provided
Summary: Publish VM to a template with auto placement fail on Cluster not provided
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:publish vm to a template
Depends On:
Blocks: 1535103
TreeView+ depends on / blocked
 
Reported: 2017-11-27 16:37 UTC by Ilanit Stein
Modified: 2018-06-21 20:38 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1535103 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:38:22 UTC
Category: Bug
Cloudforms Team: RHEVM


Attachments (Terms of Use)
evm.log (deleted)
2017-11-27 16:41 UTC, Ilanit Stein
no flags Details
automation.log (deleted)
2017-11-27 16:42 UTC, Ilanit Stein
no flags Details

Description Ilanit Stein 2017-11-27 16:37:30 UTC
Description of problem:
When running Publish VM to a template, 
and choosing in the publish dialog, in the Environment tab, Auto placement,
The publish request will fail with error:

"VM Provision Error: [EVM] VM [istein_auto] Step [CheckProvisioned] Status [Error Creating Template] Message [[MiqException::MiqProvisionError]: Destination cluster not provided]"

Version-Release number of selected component (if applicable):
CFME-5.9.0.10/RHV-4.1.7

How reproducible:
100%

Actual results:
Publish VM to a template with auto placement fail

Expected results:
Publish VM to a template with auto placement should succeed.

Comment 2 Ilanit Stein 2017-11-27 16:41:42 UTC
Created attachment 1359568 [details]
evm.log

Publish from [golden_env_mixed_virtio_0] VM to [istein_auto] Template

Comment 3 Ilanit Stein 2017-11-27 16:42:39 UTC
Created attachment 1359569 [details]
automation.log

Comment 5 Boriso 2018-01-04 10:43:54 UTC
This was fixed by:
https://github.com/ManageIQ/manageiq/pull/16726


Note You need to log in before you can comment on or make changes to this bug.